#pragma once

#ifndef GDTEXTPARAMETER_H
#define GDTEXTPARAMETER_H

#include <string>

template <int length>
class CGDTextParameter
{
public:
	CGDTextParameter() { setValue("-"); }
	
	std::string value() { return mValue; }

	CGDTextParameter & operator=(const std::string &rhs)
	{
		setValue(rhs);
		return *this;
	}

private:
	void setValue(std::string v)
	{
		if (v.length() > length)
			v = v.substr(0, length);

		mValue = v;
	}

private:
	std::string mValue;
};

#endif