#pragma once

#include <string>
#include <sstream>

#include "gdtypes.h"

template<typename T>
class IGDEntry
{
public:
	IGDEntry(T e):mData(e) { }
	virtual ~IGDEntry() { }

public:
	virtual gdElementType type() = 0;
	virtual string toString() = 0;

	virtual long number(){ return mData.number; }
	virtual long time(){ return mData.time; }

protected:
	T mData;
};
