#include "etiextension.h"

#ifdef _WIN32
#include <ctime>
#endif


etiTimeStamp GetETITimeStamp()
{
	etiTimeStamp ts;

#ifdef _WIN32
	time_t systime(0);
	tm* t = gmtime(&systime);
	
	ts.Year = t->tm_year;
	ts.Days = t->tm_yday;
	ts.Milliseconds = (t->tm_hour*3600 + t->tm_min*60 + t->tm_sec) * 1000;
#endif

	return ts;
}