#pragma once

#ifndef I_GDENTRY_H
#define I_GDENTRY_H

#include <string>

#include "gdtypes.h"
#include "gdentrytypes.h"

using namespace std;

template<typename T>
class GDLIBAPI IGDEntry
{
public:
	IGDEntry(T e):mData(e) { }
	virtual ~IGDEntry() { }

public:
	virtual gdElementType type() = 0;
	virtual string toString() = 0;

protected:
	T mData;
};

#endif